Processing Ajax...

Title
Close Dialog

Message

Confirm
Close Dialog

Confirm
Close Dialog

Display Fusion is not compatible with the version of windows

User Image
fredzer
1 discussion post
All of a sudden this started happening.
Any clues?
I've reinstalled Steam version Build ID: 8537003
Installed latest exe from binary fortress page
Installed latest from Winget
All have same error...
I've been using it fine for years and never had this error before.
I've run SFC + DISM
Bit Stumped on what to try next

Edit
A reboot seemed to resolve something.
Display Fusion displayed an error with licencing.
I was able to connect my Binary Fortress account and resolve the licence issue.

Can be closed
Oct 19, 2022 (modified Oct 19, 2022)  • #1
Was this helpful?  Login to Vote(-)  Login to Vote(-)